Subject: [calsify] Re: WG Last Call: draft-ietf-calext-icalendar-jscalendar-extensions-03 (Ends 2025-12-19)
From: "Robert Stepanek" <[email-masked]>
To: [email-masked]
Date: Mon, 19 Jan 2026 16:49:13 +0100
List-Id: "Calendaring, Contacts and Scheduling Standards Maintenance" <calsify.ietf.org>

Hi Daniel,

thanks for the review. I now published version draft-ietf-calext-icalendar-jscalendar-extensions-05 <https://www.ietf.org/archive/id/draft-ietf-calext-icalendar-jscalendar-extensions-05.html>. Replies inline.

On Wed, Jan 7, 2026, at 6:20 PM, Daniel Migault wrote:
> The IANA section needs to be completed.
> 

Done.

> 12. Have reasonable efforts been made to remind all authors of the intellectual
>     property rights (IPR) disclosure obligations described in [BCP 79][7]? To
>     the best of your knowledge, have all required disclosures been filed?

Yes.
 
> 13. Has each author, editor, and contributor shown their willingness to be
>     listed as such? If the total number of authors and editors on the front page
>     is greater than five, please provide a justification.

Yes.

> 19. Will publication of this document change the status of any existing RFCs? If
>     so, does the Datatracker metadata correctly reflect this and are those RFCs
>     listed on the title page, in the abstract, and discussed in the
>     introduction? If not, explain why and point to the part of the document
>     where the relationship of this document to these other RFCs is discussed.

Yes. I updated the metadata, abstract and introduction accordingly.

> The ABNF parser (https://author-tools.ietf.org/abnf) returns some issues with the models. CRLF is undefined, but I am wondering if that is not because text is undefined as the following lines parses correctly:

The ABNF parser reports the following errors for draft-ietf-calext-icalendar-jscalendar-extensions-04:

; text UNDEFINED
; CRLF UNDEFINED
; other-param UNDEFINED
; uri UNDEFINED

But section 1.2. "ABNF Notations" states that the ABNFs in this document use definitions of RFC 5234 and RFC 5545. The ABNFs for "text", "other-param" and "uri" are defined in RFC 5545, the ABNF for "CRLF" is defined in RFC 5234. The issue is that the ABNF tool seems to only be able consider ABNFs defined in the same document and not consider ABNFs defined in other documents. I see no action required for this document.

Regards,
Robert